Subject: Re: Question about writing reports
From: Jonathan Hayward <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 21 Feb 2002 08:15:41 -0600

> On Wed, Feb 20, 2002 at 06:26:17PM -0600, Jonathan Hayward wrote:
> > I posted an apparent bug report about gcc/Cygwin 1.3.9 aborting on
> > function prototypes that worked flawlessly under gcc/RH. I tried to
> > write a descriptive statement and included cygcheck output. It was
> > posted about a week ago, and I haven't seen a reply yet. Is there
> > further information I can post that will be useful in replying?
>
> Sorry but, what reply do you expect?  The error message is very
> likely caused by a datatype not known by Cygwin.  You changed the
> Makefile to define __WINDOWS__ and __WIN32__.  That's not the best
> way to build a Cygwin binary since the package could use these
> defines to include different headers and such.  When compiling for
> Cygwin, try the pure unixy way first.  And you're talking about a
> header `crypt.h'.  You know that a header with that name already
> exists in Cygwin, don't you?
>

Thank you for all these. I'll try to see what I can do without
__WINDOWS__, trying to avoid "crypt.h" conflicts, etc. Much appreciated!

--
Jonathan Hayward
[email-masked]
http://JonathansCorner.com
(A four dimensional maze, stories, essays, artwork, and other things...)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/